<?php
#----------------------------------------------------------------------------------------
#	$Id$
#----------------------------------------------------------------------------------------
#	Konvertiert ein GPX mit Koordinaten als 'lat="..." lon="..." Schreibweise
#	in ein lon/lat-CSV
#----------------------------------------------------------------------------------------

while( $line = fgets( STDIN ) ){

	if( preg_match( '/\slat="(-?\d+[.]?\d*)"\s+lon="(-?\d+[.]?\d*)"/', $line, $match ) ){

		$lat = $match[ 1 ];
		$lon = $match[ 2 ];

		echo sprintf( "%.5f\t%.5f\n", $lon, $lat );
	}
}

#----------------------------------------------------------------------------------------
#	$Id$
#----------------------------------------------------------------------------------------
